eoInvalidateBinOp(3)

NAME
eoInvalidateBinOp - One of the invalidator operators.

SYNOPSIS

#include <eoInvalidateOps.h>

Inherits eoBinOp< EOT >.

  Public Member Functions
eoInvalidateBinOp (eoBinOp< EOT > &_op)
bool operator() (EOT &_eo, const EOT &_eo2)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoBinOp< EOT > & op

Detailed Description

  template<class EOT> class eoInvalidateBinOp< EOT >
One of the invalidator operators. Use this one as a 'hat' on an operator that is defined to work on a generic datatype. This functor will then check the return type of the operator and invalidate the fitness of the individual.

This functor is used in algorithms that work with straight eoMonOp, eoBinOp or eoQuadOp operators, for instance eoSGA. Note that eoGenOp derived operators generally do invalidate the fitness of the objects they have changed.

Return value means 'Has_Changed' and not 'Needs_To_Be_Invalidated' as successive invalidation are not really a problem

Definition at line 80 of file eoInvalidateOps.h.

Author

Generated automatically by Doxygen for EO from the source code.